This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 834494 - polkit auth_admin authentication fails if user not in wheel group
polkit auth_admin authentication fails if user not in wheel group
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
: 851717 855784 857229 858072 (view as bug list)
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-06-22 01:44 EDT by dominique
Modified: 2013-03-05 23:08 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 16:34:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
installed yumex polkit policy (2.38 KB, text/plain)
2012-08-23 01:05 EDT, Tim Lauridsen
no flags Details

  None (edit)
Description dominique 2012-06-22 01:44:53 EDT
I test F18 rawhide and I use Yumex.

But that don't work, when i launch yumex, it stay on first window, and the window for root passport don't appear.
Output of yumex -d in konsole. (I launch and stop, after 3 minutes, with ctrl+c):

[dominique@dominique Documents]$ yumex -d
01:35:55 : DEBUG - Current Yumex Settings:
01:35:55 : DEBUG -     autorefresh: True
01:35:55 : DEBUG -     branding_title: 'Yum Extender'
01:35:55 : DEBUG -     bugzilla_url: 'https://bugzilla.redhat.com/show_bug.cgi?id='
01:35:55 : DEBUG -     color_downgrade: 'goldenrod'
01:35:55 : DEBUG -     color_install: 'darkgreen'
01:35:55 : DEBUG -     color_normal: 'black'
01:35:55 : DEBUG -     color_obsolete: 'blue'
01:35:55 : DEBUG -     color_update: 'red'
01:35:55 : DEBUG -     debug: True
01:35:55 : DEBUG -     disable_netcheck: False
01:35:55 : DEBUG -     disable_repo_page: False
01:35:55 : DEBUG -     history_limit: 15
01:35:55 : DEBUG -     no_gpg_check: False
01:35:55 : DEBUG -     plugins: True
01:35:55 : DEBUG -     proxy: ''
01:35:55 : DEBUG -     recentdays: 14
01:35:55 : DEBUG -     repo_exclude: ['debug', 'source']
01:35:55 : DEBUG -     show_newest_only: True
01:35:55 : DEBUG -     skip_broken: False
01:35:55 : DEBUG -     typeahead_search: True
01:35:55 : DEBUG -     use_sortable_view: False
01:35:55 : DEBUG -     use_sudo: False
01:35:55 : DEBUG -     win_height: 880
01:35:55 : DEBUG -     win_sep: 300
01:35:55 : DEBUG -     win_width: 1440
01:35:55 : DEBUG -     yum_conf: '/etc/yum.conf'
01:35:55 : DEBUG -     yumdebuglevel: 2
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 8: reading configurations from ~/.fonts.conf.d is deprecated.

Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.

Fontconfig warning: "/etc/fonts/conf.d/65-0-khmeros-base.conf", line 29: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-khmeros-base.conf", line 41: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-khmeros-base.conf", line 53: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-nhn-nanum-gothic.conf", line 8: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-ttf-arphic-uming.conf", line 8: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-ttf-arphic-uming.conf", line 34: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-ttf-arphic-uming.conf", line 60: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-wqy-zenhei-sharp.conf", line 8: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-wqy-zenhei-sharp.conf", line 27: Having multiple values in <test> isn't supported and may not works as expected
Fontconfig warning: "/etc/fonts/conf.d/65-0-wqy-zenhei-sharp.conf", line 46: Having multiple values in <test> isn't supported and may not works as expected

(yumex:1930): Gtk-WARNING **: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
01:35:55 : DEBUG - network interface p3p1 (r8169) is connected
01:35:55 : DEBUG - network interface p3p1 (r8169) is connected
01:35:55 : INFO - Connecté à un réseau
01:35:56 : DEBUG - Getting package lists - BEGIN   <yumexgui.populate_package_cache>
01:35:56 : DEBUG - network interface p3p1 (r8169) is connected
01:35:56 : INFO - Lancement du processus enfant de yum
01:35:56 : DEBUG - Initialize yum backend - BEGIN   <yum_backend.setup>
01:35:56 : DEBUG - Setup START   <yum_backend.setup>
01:36:56 : DEBUG - Current backend action has been running for 1 min   <yumexgui.timeout>
01:37:57 : DEBUG - Current backend action has been running for 2 min   <yumexgui.timeout>
01:38:57 : DEBUG - Current backend action has been running for 3 min   <yumexgui.timeout>
^CException: Traceback (most recent call last):
  File "/usr/bin/yumex", line 45, in <module>
    app.run()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 260, in run
    self.setup_gui()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 466, in setup_gui
    self.populate_package_cache()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 712, in populate_package_cache
    self.backend.setup(self.is_offline, repos)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_backend.py", line 329, in setup
    rc = YumClient.setup(self, debuglevel=yumdebuglevel, plugins=plugins, filelog=filelog, offline=offline, repos=repos, proxy=proxy, yum_conf=yum_conf)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 207, in setup
    self._start_launcher(filelog)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 197, in _start_launcher
    self._wait_for_launcher_started()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 391, in _wait_for_launcher_started
    cmd, args = self._readline()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 301, in _readline
    line = self.child.readline()
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 887, in readline
    index = self.expect (['\r\n', self.delimiter]) # delimiter default is EOF
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1311, in expect
    return self.expect_list(compiled_pattern_list, timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1325, in expect_list
    return self.expect_loop(searcher_re(pattern_list), timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1378, in expect_loop
    c = self.read_nonblocking (self.maxread, timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 815, in read_nonblocking
    r,w,e = self.__select([self.child_fd], [], [], timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1549, in __select
    return select.select (iwtd, owtd, ewtd, timeout)
KeyboardInterrupt

01:39:36 : DEBUG - Quiting the program !!!   <yum_backend.quit>
01:39:36 : INFO - Le processus yum est terminé
01:39:36 : DEBUG - Backend reset completed   <yum_backend.quit>
Traceback (most recent call last):
  File "/usr/bin/yumex", line 45, in <module>
    app.run()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 260, in run
    self.setup_gui()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 466, in setup_gui
    self.populate_package_cache()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 712, in populate_package_cache
    self.backend.setup(self.is_offline, repos)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_backend.py", line 329, in setup
    rc = YumClient.setup(self, debuglevel=yumdebuglevel, plugins=plugins, filelog=filelog, offline=offline, repos=repos, proxy=proxy, yum_conf=yum_conf)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 207, in setup
    self._start_launcher(filelog)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 197, in _start_launcher
    self._wait_for_launcher_started()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 391, in _wait_for_launcher_started
    cmd, args = self._readline()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 301, in _readline
    line = self.child.readline()
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 887, in readline
    index = self.expect (['\r\n', self.delimiter]) # delimiter default is EOF
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1311, in expect
    return self.expect_list(compiled_pattern_list, timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1325, in expect_list
    return self.expect_loop(searcher_re(pattern_list), timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1378, in expect_loop
    c = self.read_nonblocking (self.maxread, timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 815, in read_nonblocking
    r,w,e = self.__select([self.child_fd], [], [], timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1549, in __select
    return select.select (iwtd, owtd, ewtd, timeout)
KeyboardInterrupt
Comment 1 Tim Lauridsen 2012-06-22 04:33:43 EDT
Look like the must be something related to PolicyKit there has changed or is broken in rawhide.

Is this a new rawhide install or has yumex been working earlier in F18.

I don't have a rawhide installation currently, so i can't test myself.
Comment 2 Tim Lauridsen 2012-06-22 04:40:14 EDT
please try to run

pkexec /usr/share/yumex/yumex-yum-backend 

and see if your get a PolicyKit dialog asking for password

And then a output like this

#started
:debug	LAUNCHER: Ready for commands
#ready
Comment 3 Tim Lauridsen 2012-06-22 04:42:04 EDT
this '#exit" and it should return to the prompt
Comment 4 Tim Lauridsen 2012-06-22 04:50:20 EDT
Could you please try to run 'pkexec bash' 

you should get a dialog asking for superuser pw and then get a shell running as root.

(type exit to leave)

This is just to test if the normal polkit is working as expected
Comment 5 dominique 2012-06-22 15:11:43 EDT
Ok Tim, (sorry for the delay, I'm at work...)

pkexec /usr/share/yumex/yumex-yum-backend don't launch anything :

[dominique@dominique ~]$ pkexec /usr/share/yumex/yumex-yum-backend
Error accessing /usr/share/yumex/yumex-yum-backend: No such file or directory
[dominique@dominique ~]$ 

pkexec bash do nothing:
[dominique@dominique ~]$ pkexec bash

and I stop this command with ctrl+c , exit do nothing...
Comment 6 dominique 2012-06-23 14:14:20 EDT
Hi Tim, 

I look for the polkit package in F 18 rawhide, ans it is polkit-0.106-1.fc18

In changelog I see this :

* Thu Jun 07 2012 David Zeuthen <davidz@redhat.com> 0.106-1.fc18 - Update to upstream release 0.106 - Authorizations are no longer controlled by .pkla files - from now on, use the new .rules files described in the polkit(8) man page

If that can help you...
Comment 7 dominique 2012-06-23 14:35:26 EDT
Re...

I find this, If taht can help you : news rules for polkitd :
http://davidz25.blogspot.fr/2012/06/authorization-rules-in-polkit.html
Comment 8 Tim Lauridsen 2012-06-25 13:41:18 EDT
Looks like you are using some rpms build from git :)

Try:

pkexec /usr/share/yumex/backend-launcher.py
Comment 9 Tim Lauridsen 2012-06-27 00:52:22 EDT
Hi David

Looks like there is some issues with pkexec in current rawhide.

simple test:

pkexec bash

in F17 it will ask for root password and give you a root terminal

in rawhide it just hang until you press 'Ctrl-C'

Hope you can guide me in the right direction

(På forhånd tak :) )
Comment 10 Steven Usdansky 2012-06-27 10:31:17 EDT
New yumex (yumex-3.0.6-0.1.git20120625.fc17) with old polkit (polkit-0.105-1.fc18.x86_64) works for me.
Comment 11 David Zeuthen 2012-07-02 10:23:18 EDT
(In reply to comment #9)
> Hi David
> 
> Looks like there is some issues with pkexec in current rawhide.
> 
> simple test:
> 
> pkexec bash
> 
> in F17 it will ask for root password and give you a root terminal
> 
> in rawhide it just hang until you press 'Ctrl-C'
> 
> Hope you can guide me in the right direction
> 
> (På forhånd tak :) )

Sure, try running polkitd manually from a root shell like this

 # /usr/libexec/polkit-1/polkitd --replace

and attach the output to this bug.

It could also be that this is a SELinux problem so also try permissive mode.
Comment 12 dominique 2012-07-04 01:10:35 EDT
I test your command /usr/libexec/polkit-1/polkitd --replace : 

[root@dominique ~]# /usr/libexec/polkit-1/polkitd --replace
-bash: /usr/libexec/polkit-1/polkitd: Aucun fichier ou dossier de ce type
[root@dominique ~]#
Comment 13 dominique 2012-07-04 01:18:11 EDT
Re..
There is no polkit-1 folder in /usr/libexec on my Fedora 18 rawhide.
Comment 14 dominique 2012-07-04 12:31:04 EDT
Hi...
After research, I see that "polkitd" in Rawhide is not in /usr/libexec/polkit-1/ but in /usr/lib/polkit-1/

If that can help you...
Comment 15 David Zeuthen 2012-07-05 10:54:21 EDT
Well, please try

 # /usr/lib/polkit-1/polkitd --replace

then...
Comment 16 dominique 2012-07-05 11:33:20 EDT
(In reply to comment #15)
> Well, please try
> 
>  # /usr/lib/polkit-1/polkitd --replace
> 
> then...[root@dominique ~]# /usr/lib/polkit-1/polkitd --replace

Ok...

[root@dominique ~]# /usr/lib/polkit-1/polkitd --replace
Successfully changed to user polkitd
14:31:47.078: Loading rules from directory /etc/polkit-1/rules.d
14:31:47.078: Loading rules from directory /usr/share/polkit-1/rules.d
14:31:47.078: Finished loading, compiling and executing 1 rules
Entering main event loop
Connected to the system bus
14:31:47.082: Acquired the name org.freedesktop.PolicyKit1 on the system bus

^CHandling SIGINT
Shutting down
Exiting with code 0
[root@dominique ~]#

Bash stay with the line "14:31:47.082: Acquired the name org.freedesktop.PolicyKit1 on the system bus" , I stop with ctrl+c
Comment 17 Steven Usdansky 2012-07-05 21:23:47 EDT
polkit-0.106-1.fc18.x86_64

In the terminal window:

~$ sudo /usr/lib/polkit-1/polkitd --replace
Successfully changed to user polkitd
20:21:34.401: Loading rules from directory /etc/polkit-1/rules.d
20:21:34.401: Loading rules from directory /usr/share/polkit-1/rules.d
20:21:34.402: Finished loading, compiling and executing 1 rules
Entering main event loop
Connected to the system bus
20:21:34.410: Acquired the name org.freedesktop.PolicyKit1 on the system bus

^Z
[1]+  Stopped                 sudo /usr/lib/polkit-1/polkitd --replace
~$ bg
[1]+ sudo /usr/lib/polkit-1/polkitd --replace &
~$ yumex
20:21:59 : INFO - Using config file : /home/a/.config/yumex/yumex.conf
20:21:59 : INFO - Using config file : /home/a/.config/yumex/yumex.conf
20:21:59 : DEBUG - network interface wlan0 (ath9k_htc) is connected
20:22:00 : INFO - Connected to an network
20:22:00 : INFO - Starting yum child process

In output window of yumex:
20:21:59 : network interface wlan0 (ath9k_htc) is connected
20:22:00 : Connected to an network
20:22:00 : Starting yum child process
20:22:00 : YUM: ** (process:1891): CRITICAL **: polkit_agent_listener_initiate_authentication: assertion `identities != NULL' failed
Comment 18 dominique 2012-07-19 04:05:14 EDT
su -c "/usr/lib/polkit-1/polkitd --replace &"
Mot de passe : 
[dominique@dominique ~]$ Successfully changed to user polkitd
04:00:30.771: Loading rules from directory /etc/polkit-1/rules.d
04:00:30.772: Loading rules from directory /usr/share/polkit-1/rules.d
04:00:30.772: Finished loading, compiling and executing 1 rules
Entering main event loop
Connected to the system bus
04:00:30.775: Acquired the name org.freedesktop.PolicyKit1 on the system bus

** (polkitd:2592): WARNING **: skipping unknown tag <i> at line 336
04:01:06.232: Registered Authentication Agent for unix-process:2770:46674 (system bus name :1.88 [/usr/bin/pkexec /usr/share/yumex/backend-launcher.py], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
04:01:23.307: Unregistered Authentication Agent for unix-process:2770:46674 (system bus name :1.88, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Error performing authentication: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) (g-dbus-error-quark 4)
04:01:23.309: Operator of unix-process:2770:46674 FAILED to authenticate to gain authorization for action org.yum-extender.backend.pkexec.run for unix-process:2770:46674 [/usr/bin/python -tt /usr/bin/yumex] (owned by unix-user:dominique)
Error cancelling authentication: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name :1.88 was not provided by any .service files
[dominique@dominique ~]$ 

And in yumex windows, I have same message comment 17 :

20:21:59 : network interface wlan0 (ath9k_htc) is connected
20:22:00 : Connected to an network
20:22:00 : Starting yum child process
20:22:00 : YUM: ** (process:1891): CRITICAL **: polkit_agent_listener_initiate_authentication: assertion `identities != NULL' failed
Comment 19 David Zeuthen 2012-07-19 10:38:46 EDT
Based on comment 18, this looks like a problem with your authentication agent timing out, not polkit itself.

Given comment 0 mentioning konsole, I'm assuming you are using KDE. Can you reproduce the problem when using GNOME 3?
Comment 20 dominique 2012-07-19 15:01:46 EDT
(In reply to comment #19)
> Based on comment 18, this looks like a problem with your authentication
> agent timing out, not polkit itself.
> 
> Given comment 0 mentioning konsole, I'm assuming you are using KDE. Can you
> reproduce the problem when using GNOME 3?

with Gnome same result

[dominique@dominique ~]$ su -c "/usr/lib/polkit-1/polkitd --replace &"
Mot de passe : 
Successfully changed to user polkitd
[dominique@dominique ~]$ 20:57:06.722: Loading rules from directory /etc/polkit-1/rules.d
20:57:06.722: Loading rules from directory /usr/share/polkit-1/rules.d
20:57:06.722: Finished loading, compiling and executing 1 rules
Entering main event loop
Connected to the system bus
20:57:06.724: Acquired the name org.freedesktop.PolicyKit1 on the system bus

** (polkitd:1516): WARNING **: skipping unknown tag <i> at line 336
[dominique@dominique ~]$ 20:58:13.589: Registered Authentication Agent for unix-process:1650:44967 (system bus name :1.79 [/usr/bin/pkexec /usr/share/yumex/backend-launcher.py], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
20:58:23.906: Unregistered Authentication Agent for unix-process:1650:44967 (system bus name :1.79, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Error performing authentication: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) (g-dbus-error-quark 4)
20:58:23.907: Operator of unix-process:1650:44967 FAILED to authenticate to gain authorization for action org.yum-extender.backend.pkexec.run for unix-process:1650:44967 [/usr/bin/python -tt /usr/bin/yumex] (owned by unix-user:dominique)
Error cancelling authentication: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name :1.79 was not provided by any .service files
^C
[dominique@dominique ~]$ 


In windows of yumex

[dominique@dominique ~]$ yumex
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
/usr/lib/python2.7/site-packages/guihelpers/__init__.py:256: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
  self.add_from_file(filename)
20:58:12 : DEBUG - network interface p5p1 (r8169) is connected
20:58:13 : INFO - Connecté à un réseau
20:58:13 : DEBUG - network interface p5p1 (r8169) is connected
20:58:13 : INFO - Lancement du processus enfant de yum
20:58:13 : INFO - YUM: ** (process:1651): CRITICAL **: polkit_agent_listener_initiate_authentication: assertion `identities != NULL' failed
20:58:21 : INFO - Le processus yum est terminé
[dominique@dominique ~]$
Comment 21 dominique 2012-07-25 03:20:25 EDT
Hi all
I don't know if it's important, but for test I would rebuild polkit-0.107-1.fc18.x86_64.rpm for F17

The rebuild fail with this error :
Erreur : Paquet : PackageKit-0.7.5-1.fc17.x86_64 (@updates)
             Requiert : libpolkit-backend-1.so.0()(64bit)
             Suppression  : polkit-0.104-6.fc17.x86_64 (@anaconda-0)
                 libpolkit-backend-1.so.0()(64bit)
             Mis à jour par : polkit-0.107-1.fc17.x86_64 (/polkit-0.107-1.fc17.x86_64)
                 Non trouvé


I look the require in 107 version, and I don't see libpolkit-backend-1.so.

May-be it's a problem with PackageKit package...
Comment 22 Tim Lauridsen 2012-07-26 00:49:15 EDT
polkit 107:

$ rpm -qpl polkit-0.107-1.fc18.x86_64.rpm | grep so
/usr/lib64/libpolkit-agent-1.so.0
/usr/lib64/libpolkit-agent-1.so.0.0.0
/usr/lib64/libpolkit-gobject-1.so.0
/usr/lib64/libpolkit-gobject-1.so.0.0.0

polkit 104:

$ rpm -ql polkit | grep so 
/usr/lib64/libpolkit-agent-1.so.0
/usr/lib64/libpolkit-agent-1.so.0.0.0
/usr/lib64/libpolkit-backend-1.so.0
/usr/lib64/libpolkit-backend-1.so.0.0.0
/usr/lib64/libpolkit-gobject-1.so.0
/usr/lib64/libpolkit-gobject-1.so.0.0.0
/usr/lib64/polkit-1/extensions/libnullbackend.so

Look like there is some diffence in the libs between 104 and 107 and PackageKit require some library not available in polkit 107.

So it look like it would be hard to install the latest polkit on Fedora, without removing PackageKit, but that can't be done without removing gdm, gnome-shell.
Comment 23 Tim Lauridsen 2012-07-26 01:12:00 EDT
@David:

Could this be an issue with polkit-gnome, look like it is the F17 version
http://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/Packages/p/

should it not be rebuild for the lastest version of polkit (107) ?
a little strange it was not rebuild by the just completed F18 mass rebuild
Comment 24 dominique 2012-08-08 11:16:47 EDT
Hi
A little up please...
Yumex still does not work with Fedora 18 rawhide...
Comment 25 dominique 2012-08-22 13:58:46 EDT
Looking from this bug https://bugzilla.redhat.com/show_bug.cgi?id=611836 , I launch in console :
su -c "yumex --root"

and yumex work (without authentication window).

So I think the problem is really polkit....
Comment 26 Tim Lauridsen 2012-08-23 00:49:13 EDT
(In reply to comment #25)
> Looking from this bug https://bugzilla.redhat.com/show_bug.cgi?id=611836 , I
> launch in console :
> su -c "yumex --root"
> 
> and yumex work (without authentication window).
> 
> So I think the problem is really polkit....

This way you starts the backend directly, because you already i root, so there no need to use pkexec (polkit) to launch the backend.

It could look like the authentication agent there has a problem (the one there gives you the dialog), but i'm not an expert in how these things works, I just followed the instructions in 

http://fedoraproject.org/wiki/Features/UsermodeMigration

And that work perfectly in F17
Comment 27 Tim Lauridsen 2012-08-23 01:05:44 EDT
Created attachment 606446 [details]
installed yumex polkit policy
Comment 28 Tim Lauridsen 2012-08-23 01:19:23 EDT
dominique:

Please try this

$ sudo /usr/lib/polkit-1/polkitd --replace &

$ pkexec bash

This should give you a dialog asking for password of privileged user and the give you a root shell, if pkexec and friend are working as expected.
Comment 29 dominique 2012-08-23 01:35:19 EDT
Ok Tim, but I don't use sudo, also I do :

$ su -c "/usr/lib/polkit-1/polkitd --replace &"
$ pkexec bash

Result of command :
[dominique@dominique ~]$ su -c "/usr/lib/polkit-1/polkitd --replace &"
Mot de passe : 
[dominique@dominique ~]$ Successfully changed to user polkitd
07:27:32.730: Loading rules from directory /etc/polkit-1/rules.d
07:27:32.730: Loading rules from directory /usr/share/polkit-1/rules.d
07:27:32.731: Finished loading, compiling and executing 1 rules
Entering main event loop
Connected to the system bus
07:27:32.734: Acquired the name org.freedesktop.PolicyKit1 on the system bus

[dominique@dominique ~]$ pkexec bash

** (polkitd:1693): WARNING **: skipping unknown tag <i> at line 336
07:28:21.853: Registered Authentication Agent for unix-process:1556:12739 (system bus name :1.69 [pkexec bash], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)

** (process:1845): CRITICAL **: polkit_agent_listener_initiate_authentication: assertion `identities != NULL' failed

After I quit command with CTRL+C and I have this :

^C
[dominique@dominique ~]$ 07:29:46.831: Unregistered Authentication Agent for unix-process:1556:12739 (system bus name :1.69, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Error performing authentication: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) (g-dbus-error-quark 4)
07:29:46.831: Operator of unix-process:1556:12739 FAILED to authenticate to gain authorization for action org.freedesktop.policykit.exec for unix-process:1556:12739 [/bin/bash] (owned by unix-user:dominique)
Error cancelling authentication: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name :1.69 was not provided by any .service files


After I rum yumex in console and I have this :

[dominique@dominique ~]$ yumex
07:33:34 : INFO - Using config file : /home/dominique/.config/yumex/yumex.conf
07:33:34 : INFO - Using config file : /home/dominique/.config/yumex/yumex.conf
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
07:33:35 : DEBUG - L'interface réseau p5p1 (r8169) est connectée
07:33:38 : INFO - Connecté à un réseau
07:33:39 : DEBUG - L'interface réseau p5p1 (r8169) est connectée
07:33:39 : INFO - Lancement du processus enfant de yum
07:33:40.529: Registered Authentication Agent for unix-process:2713:51978 (system bus name :1.78 [/usr/bin/pkexec /usr/share/yumex/backend-launcher.py], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
07:33:40 : INFO - YUM: ** (process:2716): CRITICAL **: polkit_agent_listener_initiate_authentication: assertion `identities != NULL' failed
07:33:46 : INFO - Le processus yum est terminé

07:33:48.354: Unregistered Authentication Agent for unix-process:2713:51978 (system bus name :1.78, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Error performing authentication: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) (g-dbus-error-quark 4)
07:33:48.356: Operator of unix-process:2713:51978 FAILED to authenticate to gain authorization for action org.yum-extender.backend.pkexec.run for unix-process:2713:51978 [/usr/bin/python -tt /usr/bin/yumex] (owned by unix-user:dominique)
Error cancelling authentication: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name :1.78 was not provided by any .service files
[dominique@dominique ~]$
Comment 30 dominique 2012-08-23 03:07:39 EDT
I don't know if it's important, or if that help you.

For test I replace in /usr/share/polkit-1/actions/org.yum-extender.backend.policy
this line :
<allow_active>auth_admin</allow_active>

by 
<allow_active>auth_self_keep</allow_active>

And after I launch yumex.

Yumex work, I have the authentication window, and that work with my user password, not with root password (I think it's normal in that way...)
Comment 31 Tim Lauridsen 2012-08-23 13:18:01 EDT
could you try with

<allow_active>auth_admin_keep</allow_active>
Comment 32 dominique 2012-08-23 13:32:25 EDT
Hi Tim
I tried with 

<allow_active>auth_admin_keep</allow_active>

with same result, I have no authentication window... 
Sorry...
Comment 33 Tim Lauridsen 2012-08-25 02:09:54 EDT
*** Bug 851717 has been marked as a duplicate of this bug. ***
Comment 34 dominique 2012-08-26 11:24:17 EDT
He Tim,
I downgrade to polkit-0.106-2.fc18.x86_64 and yumex work normally.

I'm not a programmer, but I download the source for polkit-0.106-2.fc18.x86_64 and polkit-0.107-2.fc18.x86_64 to compare.

There are very identical, with very little difference.

I can see in the polkit-0.107-2.fc18.x86_64 source there is reference to polkit-backend, where is not present in polkit-0.106-2.fc18.x86_64 source.

I don't know if it's the source of problem, but polkit-0.107-2.fc18.x86_64 don't work and polkit-0.106-2.fc18.x86_64 work...
Comment 35 dominique 2012-08-27 01:17:30 EDT
Bffffff....

I don't know xhat happen, but this morning I boot my laptop on F 18, I want launch yumex and that don't work...
No authentication window...

I stopped my test for now, and stay for alpha release (the fist week of September).

I go back when I have installed...
Comment 36 Tim Lauridsen 2012-08-28 09:53:09 EDT
I have installed F18-Alpha-TC3 (netboot) and installed a system with XFCE in Virtualbox.

Looks like yumex & pkexec (polkit) is working with no issues :)
Comment 37 Flóki Pálsson 2012-09-01 21:01:04 EDT
>I have installed F18-Alpha-TC3 (netboot) and installed a system with XFCE in >Virtualbox.
I have installed  Fedora-18-Alpha-TC5-x86_64-Live-Desktop.iso to /dev/sda*. 

>Looks like yumex & pkexec (polkit) is working with no issues :)
Looks like yumex does not work
yumex-3.0.6-1.fc18.noarch

[floki@localhost ~]$ yumex
00:53:32 : INFO - Using config file : /home/floki/.config/yumex/yumex.conf
00:53:32 : INFO - Using config file : /home/floki/.config/yumex/yumex.conf
00:53:32 : DEBUG - network interface em1 (r8169) is connected
00:53:32 : INFO - Connected to an network
00:53:32 : DEBUG - network interface em1 (r8169) is connected
00:53:32 : INFO - Starting yum child process
00:53:32 : INFO - YUM: Error executing command as another user: Not authorized
00:53:32 : INFO - YUM: This incident has been reported.
00:54:01 : ERROR - ERROR: Fatal Error : backend-not-running
00:54:01 : ERROR - ERROR: backend not running as expected (yumex will close)
00:54:01 : INFO - yum backend process is ended
00:54:02 : INFO - yum backend process is ended
Program Terminated
[floki@localhost ~]$ su -
[root@localhost ~]# yumex
Don't run yumex as root it is unsafe (Use --root to force)
[root@localhost ~]#
Comment 38 Tim Lauridsen 2012-09-02 10:02:05 EDT
I could be something related to the gnome desktop, there is breaking something in 
the the way the authentication works.
The looks like there never comes a dialog and polkit will say that the operation is not authorized.

@Flóki, could you try too temporary disable selinux before running yumex.

setenforce 0
yumex
Comment 39 Flóki Pálsson 2012-09-02 19:09:39 EDT
[root@localhost ~]# setenforce 0
[root@localhost ~]# exit
logout
[floki@localhost ~]$ yumex
23:07:43 : INFO - Using config file : /home/floki/.config/yumex/yumex.conf
23:07:43 : INFO - Using config file : /home/floki/.config/yumex/yumex.conf
23:07:43 : DEBUG - network interface em1 (r8169) is connected
23:07:43 : INFO - Connected to an network
23:07:43 : DEBUG - network interface em1 (r8169) is connected
23:07:43 : INFO - Starting yum child process

And nothing moer
Comment 40 Flóki Pálsson 2012-09-02 19:23:30 EDT
And 

^CException: Traceback (most recent call last):
  File "/usr/bin/yumex", line 45, in <module>
    app.run()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 260, in run
    self.setup_gui()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 466, in setup_gui
    self.populate_package_cache()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 712, in populate_package_cache
    self.backend.setup(self.is_offline, repos)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_backend.py", line 329, in setup
    rc = YumClient.setup(self, debuglevel=yumdebuglevel, plugins=plugins, filelog=filelog, offline=offline, repos=repos, proxy=proxy, yum_conf=yum_conf)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 207, in setup
    self._start_launcher(filelog)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 197, in _start_launcher
    self._wait_for_launcher_started()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 391, in _wait_for_launcher_started
    cmd, args = self._readline()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 301, in _readline
    line = self.child.readline()
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 887, in readline
    index = self.expect (['\r\n', self.delimiter]) # delimiter default is EOF
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1311, in expect
    return self.expect_list(compiled_pattern_list, timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1325, in expect_list
    return self.expect_loop(searcher_re(pattern_list), timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1378, in expect_loop
    c = self.read_nonblocking (self.maxread, timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 815, in read_nonblocking
    r,w,e = self.__select([self.child_fd], [], [], timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1549, in __select
    return select.select (iwtd, owtd, ewtd, timeout)
KeyboardInterrupt

23:21:14 : INFO - yum backend process is ended
Traceback (most recent call last):
  File "/usr/bin/yumex", line 45, in <module>
    app.run()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 260, in run
    self.setup_gui()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 466, in setup_gui
    self.populate_package_cache()
  File "/usr/lib/python2.7/site-packages/yumexgui/__init__.py", line 712, in populate_package_cache
    self.backend.setup(self.is_offline, repos)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_backend.py", line 329, in setup
    rc = YumClient.setup(self, debuglevel=yumdebuglevel, plugins=plugins, filelog=filelog, offline=offline, repos=repos, proxy=proxy, yum_conf=yum_conf)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 207, in setup
    self._start_launcher(filelog)
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 197, in _start_launcher
    self._wait_for_launcher_started()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 391, in _wait_for_launcher_started
    cmd, args = self._readline()
  File "/usr/lib/python2.7/site-packages/yumexbackend/yum_client.py", line 301, in _readline
    line = self.child.readline()
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 887, in readline
    index = self.expect (['\r\n', self.delimiter]) # delimiter default is EOF
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1311, in expect
    return self.expect_list(compiled_pattern_list, timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1325, in expect_list
    return self.expect_loop(searcher_re(pattern_list), timeout, searchwindowsize)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1378, in expect_loop
    c = self.read_nonblocking (self.maxread, timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 815, in read_nonblocking
    r,w,e = self.__select([self.child_fd], [], [], timeout)
  File "/usr/lib/python2.7/site-packages/pexpect.py", line 1549, in __select
    return select.select (iwtd, owtd, ewtd, timeout)
KeyboardInterrupt

[floki@localhost ~]$ ^C
Comment 41 Tim Lauridsen 2012-09-06 04:59:54 EDT
I have done a new installation using F18 Alpha TC5 netboot and installed a 32 bit gnome desktop into a vm (VirtualBox) using the lastest packages from the F18 repos.

No problem running yumex here :)

Will recheck when the F18 alpha is released.
Comment 42 Tim Lauridsen 2012-09-06 05:04:31 EDT
Damn. after reboot yumex don't work :(
Comment 43 Tim Lauridsen 2012-09-06 07:15:31 EDT
Look like polkit see it as inactive session in F18 and no as an active session as in F17.

So editing the /usr/share/polkit-1/actions/org.yum-extender.backend.policy

and changing:
<allow_inactive>no</allow_inactive>

to
<allow_inactive>auth_admin</allow_inactive>

and yumex will work as expected.

But i have no clue why this has changed from F17 to F18 ??? David ??
Comment 44 dominique 2012-09-06 11:17:59 EDT
Sorry, but that don't work with F18, installed by upgrading F17 with F18 repo. I change <allow_inactive>no</allow_inactive> to <allow_inactive>auth_admin</allow_inactive> and yumex don't work, no authentication window...
Comment 45 Tim Lauridsen 2012-09-06 12:01:26 EDT
(In reply to comment #44)
> Sorry, but that don't work with F18, installed by upgrading F17 with F18
> repo. I change <allow_inactive>no</allow_inactive> to
> <allow_inactive>auth_admin</allow_inactive> and yumex don't work, no
> authentication window...

There can be other issues when not installing/upgrading using anaconda

If the basic polkit has problems then yumex will not work

you can test it by running

pkexec /usr/share/yumex/backend-launcher.py

this should give you a 'not authenticated' before you make the change

and work when you make the change.
Comment 46 Tim Lauridsen 2012-09-06 12:07:29 EDT
you can try with a live cd from here:

http://dl.fedoraproject.org/pub/alt/stage/18-Alpha-TC6/

to see if it works
Comment 47 dominique 2012-09-07 04:17:51 EDT
OK Tim. 
Sorry, but I test with live cd F18 alpha TC5 (your link provide live TC5 and not TC6, TC69 is just for DVD iso) for same result.
Don't work, no authentication window.

After I change <allow_inactive>no</allow_inactive> to > <allow_inactive>auth_admin</allow_inactive> for same result, Yumex don't work...
Comment 48 Tim Lauridsen 2012-09-08 03:01:53 EDT
look like we have to wait for the alpha live cd's, to test again.

A network clean installation works for me, but the live cd & upgrade from F17 looks like pkexec don't work.

could be related to https://bugzilla.redhat.com/show_bug.cgi?id=852403 on the alpha blocker list
Comment 49 Tim Lauridsen 2012-09-08 03:28:54 EDT
test build rpms available here:

http://timlau.fedorapeople.org/files/yumex/

with changed polkit policy
Comment 50 Tim Lauridsen 2012-09-11 08:39:51 EDT
@dominique:

Can you check if you user is member of the wheel group, if not try to add it and see if it solves the issue.
Comment 51 dominique 2012-09-11 09:09:11 EDT
(In reply to comment #50)
> @dominique:
> 
> Can you check if you user is member of the wheel group, if not try to add it
> and see if it solves the issue.

My user is not a member of wheel group.

I add my user to this group, and yumex work (I have authentication window ).

But that don't work with root password, only with my user password.

On Fedora 17, yumex work well, and my user is not in the wheel group...
Comment 52 Tim Lauridsen 2012-09-11 09:19:19 EDT
(In reply to comment #51)
> 
> My user is not a member of wheel group.
> 
> I add my user to this group, and yumex work (I have authentication window ).
> 
> But that don't work with root password, only with my user password.
> 
> On Fedora 17, yumex work well, and my user is not in the wheel group...

It look like polkit has an issues if your current user is not in the wheel group in F18, I F17 it would ask for the root password instead, but in F18 it just hangs without any authentication window.
Comment 53 dominique 2012-09-11 09:30:48 EDT
OK, but it's not a good solute for me.

If I add my user to wheel group, my user become administrator, and I don't want that... (my son use my PC, and I don't want he does anything bad on ...)
Comment 54 Tim Lauridsen 2012-09-11 10:05:55 EDT
(In reply to comment #53)
> OK, but it's not a good solute for me.
> 
> If I add my user to wheel group, my user become administrator, and I don't
> want that... (my son use my PC, and I don't want he does anything bad on ...)

It is not supposed to be that way, something in polkit and friends are broken and will hopefully get fixed, it what just document what is the trigger of the problem.
Comment 55 Tim Lauridsen 2012-09-11 10:06:23 EDT
@David:

Just to make a summary of the problem with polkit.
If the current user is not member of the wheel group, then polkit authentical will fail without a dialog, instead of asking for the root password.

Also a problem in PackageKit:
https://bugzilla.redhat.com/show_bug.cgi?id=854209

So i looks like that ever application there requests "auth_admin" will not work, if the user is not member of wheel.
Comment 56 Adam Williamson 2012-09-17 20:05:08 EDT
*** Bug 855784 has been marked as a duplicate of this bug. ***
Comment 57 Fedora Update System 2012-09-18 15:11:02 EDT
polkit-0.107-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/polkit-0.107-3.fc18
Comment 58 David Zeuthen 2012-09-18 15:13:44 EDT
(In reply to comment #57)
> polkit-0.107-3.fc18 has been submitted as an update for Fedora 18.
> https://admin.fedoraproject.org/updates/polkit-0.107-3.fc18

These packages should fix the problem. Note, however, if you are using gnome-shell's authentication, you will need packages with the following fix

 http://git.gnome.org/browse/gnome-shell/commit/js/ui/components/polkitAgent.js?id=452ac297abb07acd4e4abd77a360ec4a0aa4ff44

If you don't want to wait the gnome-shell update, manually editing /usr/share/gnome-shell/js/ui/polkitAuthenticationAgent.js works too.
Comment 59 Jiri Moskovcak 2012-09-19 02:24:10 EDT
*** Bug 858072 has been marked as a duplicate of this bug. ***
Comment 60 Tim Lauridsen 2012-09-19 10:38:03 EDT
*** Bug 857229 has been marked as a duplicate of this bug. ***
Comment 61 dominique 2012-09-19 11:26:59 EDT
Hi,
I update to polkit-0.107-3.fc18, and after reboot, yumex work with my user, I have the authentication window and yumex work as expected.

Thank for this update...
Comment 62 Fedora Update System 2012-09-20 01:57:06 EDT
Package polkit-0.107-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polkit-0.107-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14378/polkit-0.107-3.fc18
then log in and leave karma (feedback).
Comment 63 Tim Lauridsen 2012-09-20 03:28:02 EDT
Work for me to in XFCE, Thanks for the update
Comment 64 Fedora Update System 2012-09-20 16:34:10 EDT
polkit-0.107-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 65 Kamil Páral 2012-09-21 11:40:29 EDT
Per comment 58 I created a follow-up bug 859460 to track the gnome-shell fix.

Note You need to log in before you can comment on or make changes to this bug.